# Class MarkerNode

java.lang.Object
org.eclipse.ui.views.markers.internal.MarkerNode

Direct Known Subclasses:
  `ConcreteMarker`

public abstract class MarkerNode extends Object
The MarkerNode class is the class that handles category nodes and concrete markers.

## Constructor Summary

Constructors
Constructor
Description
`MarkerNode()`

## Method Summary

Modifier and Type
Method
Description
`abstract MarkerNode[]`
`getChildren()`
Get the children of the node.
`abstract ConcreteMarker`
`getConcreteRepresentative()`
Get a concrete marker from the receiver.
`abstract String`
`getDescription()`
Return the description of the receiver.
`abstract MarkerNode`
`getParent()`
Return the parent node or `null` if this is a top level element.
`abstract boolean`
`isConcrete()`
Return whether or not this is a concrete node

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MarkerNode

public MarkerNode()

## Method Details

### getChildren

public abstract MarkerNode[] getChildren()
Get the children of the node.

Returns:
  MarkerNode[]

### getParent

public abstract MarkerNode getParent()
Return the parent node or `null` if this is a top level element.

Returns:
  MarkerNode

### isConcrete

public abstract boolean isConcrete()
Return whether or not this is a concrete node

Returns:
  boolean

### getDescription

public abstract String getDescription()
Return the description of the receiver.

Returns:
  String

### getConcreteRepresentative

public abstract ConcreteMarker getConcreteRepresentative()
Get a concrete marker from the receiver. If the receiver is concrete return the receiver otherwise return one of the concrete markers it contains.

Returns:
  ConcreteMarker